# dhis2-cli

[![Build Status](https://travis-ci.org/dhis2/dhis2-cli.svg?branch=master)](https://travis-ci.org/dhis2/dhis2-cli)
[![NPM Version](https://img.shields.io/npm/v/dhis2-cli.svg?style=flat)](https://www.npmjs.com/package/dhis2-cli)
[![NPM Downloads](https://img.shields.io/npm/dm/dhis2-cli.svg?style=flat)](https://www.npmjs.com/package/dhis2-cli)

Command line client for interacting with DHIS2.

## Installation

    $ npm install dhis2-cli --global

## uid command

Generate DHIS2 compatible UIDs using `dhis2 uid`, there are also options for
generating json/csv output.

Please see `dhis2 uid -h` for more information.

## event command

Listen to events from DHIS2 (through AMQP/RabbitMQ), requires a previously setup
DHIS2 (with AMQP enabled) and a RabbitMQ message broker.

`dhis2 event -k metadata.#`

Please see `dhis2 event -h` for more information. 

## License

BSD-3-Clause