#!/usr/bin/env node

const program = require( 'commander' );
const {version, description} = require( './package.json' );

program
  .version( version )
  .description( description );

require( './lib' )( program );

program.parse( process.argv );

if ( !process.argv.slice( 2 ).length ) {
  program.outputHelp();
  process.exit( 0 );
}
